Subject: Re: Libusb-win32-0.1.12.1-1 makes system unusable after reboot.
From: Samuel Thibault <[email-masked]>
To: Ton van Overbeek <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 24 Mar 2007 20:21:06 +0100
List-Id: <cygwin.cygwin.com>

Ton van Overbeek, le Sat 24 Mar 2007 20:13:21 +0100, a écrit :
> > Err, no, usbd.sys is always installed in
> > c:\windows\system32\drivers\usbd.sys, and that's precisely because
> > libusb0.sys is not installed there too that the usual discovery fails.
> >
> 
> Yes, I know. But copying usbd.sys to /usr/lib/libusb makes the problem
> go away.

Well, yes, but usbd.sys definitely belongs to windows/system32/drivers.
Remember that this is a windows-shipped file, we shouldn't make a copy
like this.

> > Actually, I'm wondering: instead of trying to make libusb0.sys work
> > from /usr/lib/libusb/, is it fine (packaging-wise, I mean), in
> > libusb-install, to just copy it into c:\windows\system32\drivers\ and
> > then use the usual libusb-win32 filter setup?  That works fine and
> > actually makes the patch simpler...
> >
> 
> I am pretty sure that would solve the problem.

Yes it does, but the question to cygwin developers is: is it ok
packaging-wise?

Samuel

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/